Subject: bug#48268: 28.0.50; Blank screen when switching virtual desktops or when starting exwm (regression from 483c5e9)

From: martin rudalics <[email-masked]>
Date: Fri, 7 May 2021 09:09:14 +0200

> I use exwm as my window manager. Since commit 483c5e9, my session starts
 > up as a blank screen (emacs responds to keyboard shortcuts, though). I
 > have heard user reports (at [0]) that switching virtual desktops on
 > xmonad also leads to a blank screen, and I believe this is another
 > instance of the same bug.
 >
 > The problem happens without native compilation enabled. I have verified
 > that reverting commit 483c5e9 fixes the problem.
 >
 > Best,
 > Mauricio
 >
 > [0] https://github.com/nix-community/emacs-overlay/issues/146

Thank you for the report.  We are investigating this problem already in

https://lists.gnu.org/archive/html/emacs-devel/2021-05/msg00217.html

and I will send you a patch as soon as we have found a working solution.

martin